[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TNodeAttachMode

Location where a new tree node is attached to its Parent, Child, or Sibling nodes.

## Declaration

Source position: comctrls.pp line 2892

`type TNodeAttachMode = (`
`naAdd,` |  | Add as the last sibling in a destination.
`naAddFirst,` |  | Add as the first sibling in a destination.
`naAddChild,` |  | Add as the last child in a destination.
`naAddChildFirst,` |  | Add as the first child in a Destination.
`naInsert,` |  | Insert as the prior sibling for the specified node.
`naInsertBehind` |  | Insert as the next sibling for the specified node.
`);`